Bug 1306168 - [abrt] nautilus: g_list_copy_deep(): nautilus killed by SIGSEGV
[abrt] nautilus: g_list_copy_deep(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:52c7b922eb195afc734703e5356...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-10 03:35 EST by Yury Remishevsky
Modified: 2016-12-20 13:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:35:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.20 KB, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details
File: core_backtrace (3.48 KB, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details
File: dso_list (11.77 KB, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details
File: environ (1.85 KB, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details
File: maps (61.05 KB, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details
File: mountinfo (3.55 KB, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details
File: open_fds (4.29 KB, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details
File: var_log_messages (452 bytes, text/plain)
2016-02-10 03:36 EST, Yury Remishevsky
no flags Details

  None (edit)
Description Yury Remishevsky 2016-02-10 03:35:58 EST
Description of problem:
Files (Nautilus) 3.18.5 crashes when rapid clicking on back mouse button. To reproduce:
1. Go 10-15 levels deep into folders
2. Rapid click back mouse button
3. Files crashes

Using alt-left arrow does not crash Files.

Thanks!

Version-Release number of selected component:
nautilus-3.18.5-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        nautilus -n
crash_function: g_list_copy_deep
executable:     /usr/bin/nautilus
global_pid:     2478
kernel:         4.3.4-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 g_list_copy_deep at glist.c:692
 #1 nautilus_files_view_set_selection at nautilus-files-view.c:2784
 #2 load_new_location at nautilus-window-slot.c:1514
 #3 setup_view at nautilus-window-slot.c:1451
 #4 got_file_info_for_view_selection_callback at nautilus-window-slot.c:1349
 #5 call_ready_callbacks_at_idle at nautilus-directory-async.c:1801
 #9 g_main_context_iteration at gmain.c:3901
 #10 g_application_run at gapplication.c:2311
Comment 1 Yury Remishevsky 2016-02-10 03:36:02 EST
Created attachment 1122696 [details]
File: backtrace
Comment 2 Yury Remishevsky 2016-02-10 03:36:03 EST
Created attachment 1122697 [details]
File: cgroup
Comment 3 Yury Remishevsky 2016-02-10 03:36:04 EST
Created attachment 1122698 [details]
File: core_backtrace
Comment 4 Yury Remishevsky 2016-02-10 03:36:06 EST
Created attachment 1122699 [details]
File: dso_list
Comment 5 Yury Remishevsky 2016-02-10 03:36:07 EST
Created attachment 1122700 [details]
File: environ
Comment 6 Yury Remishevsky 2016-02-10 03:36:09 EST
Created attachment 1122701 [details]
File: exploitable
Comment 7 Yury Remishevsky 2016-02-10 03:36:10 EST
Created attachment 1122702 [details]
File: limits
Comment 8 Yury Remishevsky 2016-02-10 03:36:12 EST
Created attachment 1122703 [details]
File: maps
Comment 9 Yury Remishevsky 2016-02-10 03:36:13 EST
Created attachment 1122704 [details]
File: mountinfo
Comment 10 Yury Remishevsky 2016-02-10 03:36:14 EST
Created attachment 1122705 [details]
File: namespaces
Comment 11 Yury Remishevsky 2016-02-10 03:36:16 EST
Created attachment 1122706 [details]
File: open_fds
Comment 12 Yury Remishevsky 2016-02-10 03:36:17 EST
Created attachment 1122707 [details]
File: proc_pid_status
Comment 13 Yury Remishevsky 2016-02-10 03:36:19 EST
Created attachment 1122708 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 10:29:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 13:35:58 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.